// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 3: Conceptos bsicos de Programacin Estructurada en C++


#include <iostream>

using namespace std;

int minimo(int num1, int num2);


int main(void)
{
    int num1, num2;

    cout << "Entra dos enteros positivos: ";
    cin >> num1 >> num2;

    // Solamente hace falta mirar los divisores del menor
    int menor = minimo(num1, num2);
    
    // Suponemos que son coprimos hasta que se demuestre lo contrario
    bool coprimos = true;

    for (int i = 2; i <= menor && coprimos; i++)
        if (num1 % i == 0 && num2 % i == 0)
            coprimos = false;

    if (coprimos)
        cout << num1 << " y " << num2 << " son coprimos" << endl;
    else
        cout << num1 << " y " << num2 << " NO son coprimos" << endl;


    return 0;
}


int minimo(int num1, int num2)
{
    int minim = num1;

    if (num2 < num1)
        minim = num2;

    return minim;
}
